Bug 1227098 (CVE-2015-3213) - CVE-2015-3213 Gnome clutter: screenlock bypass by performing certain mouse gestures
Summary: CVE-2015-3213 Gnome clutter: screenlock bypass by performing certain mouse ge...
Status: CLOSED ERRATA
Alias: CVE-2015-3213
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150602,repor...
Keywords: Security
Depends On: 1227103 1227104
Blocks: 1227100
TreeView+ depends on / blocked
 
Reported: 2015-06-01 22:52 UTC by Kurt Seifried
Modified: 2015-07-27 23:43 UTC (History)
4 users (show)

(edit)
A flaw was found in the way clutter processed certain mouse and touch gestures. An attacker could use this flaw to bypass the screen lock.
Clone Of:
(edit)
Last Closed: 2015-07-27 23:43:05 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1510 normal SHIPPED_LIVE Moderate: clutter security update 2015-07-28 02:26:52 UTC

Description Kurt Seifried 2015-06-01 22:52:37 UTC
Ray Strode of Red Hat reports:

Clutter contains APIs for recognizing finger and mouse movement based gestures.
GNOME Shell uses these APIs to recognize when the user lifts the "screen shield"
to initiate the screen unlock process (where a password would normally be 
entered). 

A bug in clutter's gesture handling code leads to a crash in some cases when 
the user performs gestures. This crash can lead to screen lock bypass. The bug 
was fixed upstream in clutter 1.16.2

External reference:
https://bugzilla.gnome.org/show_bug.cgi?id=749847

Comment 4 errata-xmlrpc 2015-07-27 22:27:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1510 https://rhn.redhat.com/errata/RHSA-2015-1510.html


Note You need to log in before you can comment on or make changes to this bug.